URL로 블로그를 가져옵니다. 지금 사용해 보거나 예를 확인하세요.
승인은 블로그가 비공개인 경우 필요합니다. 블로그가 공개인 경우 승인 없이 이 메서드를 호출할 수 있습니다.
요청
HTTP 요청
GET https://www.googleapis.com/blogger/v3/blogs/byurl
매개변수
| 매개변수 이름 | 값 | 설명 |
|---|---|---|
| 필수 매개변수 | ||
url |
string |
가져올 블로그의 URL입니다. |
요청 본문
이 메소드를 사용할 때는 요청 본문을 제공하지 마세요.
응답
이 메서드는 요청에 성공하면 응답 본문에서 Blogs 리소스를 반환합니다.
예
참고: 이 메서드에 제공되는 코드 예시는 지원되는 모든 프로그래밍 언어를 나타내지 않습니다. 지원되는 언어 목록은 클라이언트 라이브러리 페이지를 참고하세요.
자바
Java 클라이언트 라이브러리를 사용합니다.
String CODE_BLOG_URL = "http://code.blogger.com/";
// Configure the Java API Client for Installed Native App
HttpTransport HTTP_TRANSPORT = new NetHttpTransport();
JsonFactory JSON_FACTORY = new JacksonFactory();
// Configure the Installed App OAuth2 flow.
Credential credential = OAuth2Native.authorize(HTTP_TRANSPORT,
JSON_FACTORY, new LocalServerReceiver(),
Arrays.asList(BloggerScopes.BLOGGER));
// Construct the Blogger API access facade object.Blogge
r blogger = Blogger.builder(HTTP_TRANSPORT, JSON_FACTORY) .setA
pplicationName("Blogger-BlogGetByUrl-Snippet/1.0") .setH
ttpRequestInitializer(credential).build(); class="devsite-syntax-c1">// The request action object.GetByU
rl blogGetByUrlAction = blogger.blogs().getByUrl(); class="devsite-syntax-c1">// Configure which blog URL to look up.blogGe
tByUrlAction.setUrl(CODE_BLOG_URL); class="devsite-syntax-c1">// Restrict the result content to just the data we need.blogGe
tByUrlAction.setFields("description,name,posts/totalItems,updated");an> class="devsite-syntax-c1">// This step sends the request to the server.Blog b
log = blogGetByUrlAction.execute(); class="devsite-syntax-c1">// Now we can navigate the response.System
.out.println("Name: " + blog.getName());System
.out.println("Description: " + blog.getDescription());System
.out.println("Post Count: " + blog.getPosts().getTotalItems());System
.out.println("Last Updated: " + blog.getUpdated());
기능을 사용해 보세요.
아래의 API 탐색기를 사용하여 실시간 데이터를 대상으로 이 메소드를 호출하고 응답을 확인해 보세요.